Subject: Re: [PATCH 1/2] powerpc/kexec: Reset secondary cpu endianess before kexec

From: Scott Wood <[email-masked]>
Date: Tue, 7 Jul 2015 23:22:08 -0500

On Wed, 2015-07-08 at 14:04 +1000, Paul Mackerras wrote:
> On Tue, Jul 07, 2015 at 09:35:38PM -0500, Scott Wood wrote:
> > 
> > Also, it would be better to use label subtraction rather than hardcoding 
> > "28", and the bcl instruction would be more readable as "bl <label>".
> 
> I agree about using labels, but "bcl 20,31,foo" is not the same thing
> as "bl foo".  The former is a form of bl that doesn't perturb the link
> stack and is therefore better for performance when you're not going to
> do a matching blr later (not that performance is at all critical
> here).

If performance mattered I would have complained about the extra mfmsr. :-)

I see that some other parts of the kernel are using that bcl instruction, but 
if it is actually worthwhile in those places, it'd be nice to at least stick 
it in a macro for readability...

-Scott